HostingAddressbooks & contacts

Update addressbook

PUT/api/addressbooks/{code}/{addressbook_id}

Updates the name of an addressbook.

X-Api-Token<token>

API token used to authenticate requests.

In: header

Path Parameters

code*string

Email account code: usually EA followed by 8 digits. Postmaster accounts use P followed by 9 digits. Examples: EA12345678, P123456789.

addressbook_id*integer
Format int32

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

name*string

Addressbook name.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/addressbooks/string/0" \  -H "X-Api-Token: YOUR_API_TOKEN" \  -H "Accept: application/json" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "message": "string",  "resource_code": "string"}